#ifndef C2DBITFONT__H
#define C2DBITFONT__H

#include "../App/EngineH.h"

#include <gl\gl.h>			
#include <gl\glu.h>			

#pragma warning(disable: 4129)
const TCHAR znaky[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789 ìšèøžýáíéúù$_().:,=+-*/\@?![]&%-"; 

const char TEXT_2DB_NONE = 0;
const char TEXT_2DB_LEFT = 1;
const char TEXT_2DB_CENTER = 2;
const char TEXT_2DB_RIGHT = 3;

class C_2D_BIT_FONT_0
{
private :
	unsigned int texture_id;
	int velX ;
	int velY;
	float widthF;
	float heightF;
	char _align;

public :
	C_2D_BIT_FONT_0();
	~C_2D_BIT_FONT_0();

public :
	void DrawFont(char *pisText,int x,int y);
	void ReloadTexture(unsigned int rTexture_id){texture_id = rTexture_id;}
	void SetWandH(float width=30.0f,float height=30.0f){widthF = width;heightF = height;}

	// ALIGN
	void SetAlign(char alg){_align = alg;}
	char GetAlign() const {return _align;}
};

typedef C_2D_BIT_FONT_0 C_2DFONT_0;

#endif //C2DBITFONT__H